/*
 *  This file is part of the KDE libraries
 *  Copyright (C) 1999 Harri Porten (porten@kde.org)
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this library; see the file COPYING.LIB.  If not, write to
 *  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *  Boston, MA 02111-1307, USA.
 */

#ifndef _OPERATIONS_H_
#define _OPERATIONS_H_

#include "global.h"

namespace KJS {

class KJSO;

KJSO *toPrimitive(KJSO *obj, Type preferred = Undefined);
KJSO *toBoolean(KJSO *obj);
KJSO *toNumber(KJSO *obj);
double round(KJSO *obj);
KJSO *toInteger(KJSO *obj);
int toInt32(KJSO *obj);
unsigned int toUInt32(KJSO *obj);
unsigned short toUInt16(KJSO *obj);
KJSO *toString(KJSO *obj);
KJSO *toObject(KJSO *obj);

bool equal(KJSO *v1, KJSO *v2);
double max(double d1, double d2);
double min(double d1, double d2);

};

#endif
